Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding
Class DefaultScaffoldCallback

    java.lang.Object
      org.codehaus.groovy.grails.scaffolding.DefaultScaffoldCallback

All Implemented Interfaces:
  ScaffoldCallback

    public class DefaultScaffoldCallback

extends Object
implements ScaffoldCallback

Constructor Summary
`DefaultScaffoldCallback()`

Method Summary
`Errors` | `getErrors()`
`Map` | `getModel()`
`boolean` | `isInvoked()`
`void` | `setErrors(Errors errors)`
`void` | `setInvoked(boolean invoked)`
`void` | `setModel(Map model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultScaffoldCallback

    public DefaultScaffoldCallback()

Method Detail

### getErrors

    public Errors getErrors()

  Specified by:
    `getErrors` in interface `ScaffoldCallback`
  Returns:
    Returns the errors.

### setErrors

    public void setErrors(Errors errors)

  Specified by:
    `setErrors` in interface `ScaffoldCallback`
  Parameters:
    `errors` - The errors to set.

### isInvoked

    public boolean isInvoked()

  Specified by:
    `isInvoked` in interface `ScaffoldCallback`
  Returns:
    Returns the invoked.

### setInvoked

    public void setInvoked(boolean invoked)

  Specified by:
    `setInvoked` in interface `ScaffoldCallback`
  Parameters:
    `invoked` - The invoked to set.

### getModel

    public Map getModel()

  Specified by:
    `getModel` in interface `ScaffoldCallback`
  Returns:
    Returns the model.

### setModel

    public void setModel(Map model)

  Specified by:
    `setModel` in interface `ScaffoldCallback`
  Parameters:
    `model` - The model to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project